
#ifdef WIN32
	#include <windows.h>
	#pragma comment(lib, "Irrlicht.lib")
#endif

#include <irrlicht.h>

using namespace irr;
using namespace core;
using namespace video;
using namespace scene;
using namespace gui;

#ifdef WIN32
	int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR strCmdLine, int nShowCmd)
#else
	int main()
#endif
{
	IrrlichtDevice *device = createDevice(EDT_OPENGL,dimension2d<s32>(320,240),16,false,false,false);
	IVideoDriver *driver = device->getVideoDriver();
	ISceneManager* smgr  = device->getSceneManager();

	device->setWindowCaption(L"Irrlicht");//EChE^Cgݒ

	//Cg
	smgr->addLightSceneNode(0, vector3df(0,0,-1000), SColorf(0xFFFFFFFF), 1000.0f);

	//Jݒ
	smgr->addCameraSceneNode(0, vector3df(0,0,-5), vector3df(0,0,0));

	//m[h̍쐬
	IAnimatedMesh* mesh1 = smgr->getMesh("cube.x");
	IAnimatedMeshSceneNode* node1 = smgr->addAnimatedMeshSceneNode(mesh1);
	node1->setPosition(vector3df(-2,0,0));

	IAnimatedMesh* mesh2 = smgr->getMesh("tiger.x");
	IAnimatedMeshSceneNode* node2 = smgr->addAnimatedMeshSceneNode(mesh2);
	node2->setPosition(vector3df(2,0,0));

	f32 r = 0.0f;

	while(device->run())
	{
		driver->beginScene(true,true,0xFF6060FF);

		//}`쐬
		node1->setRotation(vector3df(r,r,0));
		node2->setRotation(vector3df(r,r,0));
		r += 0.01f;

		//V[̕`
		smgr->drawAll();

		driver->endScene();
	}

	driver->drop();

	return 0;
}
